## php-zeta-console-tools 1.7.4

=== DESCRIPTION ===
A set of classes to do different actions with the console, also called shell.
It can render a progress bar, tables and a status bar and contains a class for
parsing command line options.

## php-zeta-console-tools 1.6.1

=== debian/changelog ===
php-zeta-console-tools (1.6.1-1) unstable; urgency=low

  * Initial Release (Closes: #746425)

 -- David Prévot <taffit@debian.org>  Wed, 30 Apr 2014 16:44:46 -0400

=== debian/control ===
Source: php-zeta-console-tools
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9),
               pear-channels (>= 0~20140430),
               pkg-php-tools (>= 1.1~)
Standards-Version: 3.9.5
Homepage: http://zetacomponents.org/
Vcs-Git: git://anonscm.debian.org/pkg-php/php-zeta-console-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-zeta-console-tools.git

Package: php-zeta-console-tools
Architecture: all
Depends: ${misc:Depends}, ${phppear:Debian-Depends}
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}
Description: Zeta Components - ConsoleTools package
 ${phppear:description}
 .
 Zeta Components are a high quality, general purpose library of loosly
 coupled components for development of applications based on PHP 5.
 Beside typical modules for web application development, like a Template
 engine, Database tools and an MVC component, Zeta Components contain
 command line tools, a chart rendering library, a WebDAV server, a
 universal document conversion component and many more tools to ease
 developers live.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=phppear --with phppear

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=phppear
	sed -i '/CREDITS/d' */package.xml

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

## php-zeta-console-tools 1.7

=== debian/changelog ===
php-zeta-console-tools (1.7-5) unstable; urgency=medium

  * Compatibility with recent PHPUnit (8)
  * Use secure URI in debian/watch.
  * Update standards version, no changes needed.
  * Simplify testsuite handling

 -- David Prévot <taffit@debian.org>  Wed, 28 Aug 2019 12:53:38 -1000

php-zeta-console-tools (1.7-4) unstable; urgency=medium

  [ Nishanth Aravamudan ]
  * Add missing dependency on patch for CI (Closes: #827420)

  [ David Prévot ]
  * Move repository to salsa.d.o
  * Use https in Format
  * Drop get-orig-source target
  * Simplify clean target
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Install NOTICE
  * Update for recent version of PHPUnit (Closes: #882920, #917760)
  * Update versioned build-dependency

 -- David Prévot <taffit@debian.org>  Thu, 14 Feb 2019 16:03:05 -1000

php-zeta-console-tools (1.7-3) unstable; urgency=medium

  * Drop failing test
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Wed, 23 Mar 2016 16:01:13 -0400

php-zeta-console-tools (1.7-2) unstable; urgency=medium

  * Add homemade autoload
  * Split doc and examples
  * Run testsuite at build time
  * Update CI to use homemade autoload
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Sat, 13 Feb 2016 12:10:08 -0400

php-zeta-console-tools (1.7-1) unstable; urgency=medium

  [ Tobias Schlitt ]
  * - Fixed: Adjusted source headers of ConsoleTools to Apache license.
  * - Fixed: Updated copyright dates in NOTICE files.

  [ Sebastian Bergmann ]
  * Remove custom test runner.

  [ Benjamin Eberlei ]
  * Prepare test dependencies.

  [ Jérôme Vieilledent ]
  * Update ChangeLog

  [ Derick Rethans ]
  * Go with ConsoleTools 1.7

  [ David Prévot ]
  * Convert packaging to Composer source
  * Update copyright
  * Bump standards version to 3.9.6
  * Run DEP-8 tests

 -- David Prévot <taffit@debian.org>  Sun, 28 Sep 2014 14:47:51 -0400

=== debian/control ===
Source: php-zeta-console-tools
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper-compat (= 12),
               php-zeta-base,
               php-zeta-unit-test (>= 1.0.2-4~),
               phpab,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 4.4.0
Homepage: http://zetacomponents.org/
Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zeta-console-tools

Package: php-zeta-console-tools
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: Zeta Components - ConsoleTools package
 ${phpcomposer:description}.
 .
 Zeta Components are a high quality, general purpose library of loosely
 coupled components for development of applications based on PHP 5.
 Beside typical modules for web application development, like a Template
 engine, Database tools and an MVC component, Zeta Components contain
 command line tools, a chart rendering library, a WebDAV server, a
 universal document conversion component and many more tools to ease
 developers live.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parent vendor ezc
	ln -s ../src ezc/ConsoleTools
	cp debian/autoload.php vendor

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --exclude-group interactive
else
	@echo "** tests disabled"
endif

=== debian/watch ===
version=3
# The PEAR page and feed are currently empty, falling back to Composer
# https://pear.apache.org/zetacomponents/channel.xml .*/ConsoleTools-(.*).tgz
options=uversionmangle=s/ALPHA/~alpha/i;s/BETA/~beta/i;s/RC/~rc/i \
https://github.com/zetacomponents/ConsoleTools/releases .*/archive/v?(\d.+)\.tar.gz

## php-zeta-console-tools 1.7.1

=== debian/changelog ===
php-zeta-console-tools (1.7.1-1) unstable; urgency=medium

  [ Derick Rethans ]
  * Go with 1.7.1

  [ David Prévot ]
  * Drop versioned dependencies satisfied in stable
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sun, 15 Mar 2020 21:13:14 -1000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                php-zeta-base,
-               php-zeta-unit-test (>= 1.0.2-4~),
+               php-zeta-unit-test,
                phpab,
                phpunit,
-               pkg-php-tools (>= 1.7~)
-Standards-Version: 4.4.0
+               pkg-php-tools
+Standards-Version: 4.5.0
 Homepage: http://zetacomponents.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zeta-console-tools

## php-zeta-console-tools 1.7.2

=== debian/changelog ===
php-zeta-console-tools (1.7.2-2) unstable; urgency=medium

  * Adapt to recent version of PHPUnit (9)

 -- David Prévot <taffit@debian.org>  Sun, 13 Dec 2020 18:10:45 -0400

php-zeta-console-tools (1.7.2-1) unstable; urgency=medium

  [ Derick Rethans ]
  * PHP 8 compatibility
  * Go with 1.7.2

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Update watch file format version to 4.
  * Set Rules-Requires-Root: no.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Fri, 04 Dec 2020 08:17:34 -0400

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                php-zeta-base,
                php-zeta-unit-test,
                phpab,
                phpunit,
                pkg-php-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://zetacomponents.org/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zeta-console-tools
+Rules-Requires-Root: no
 
 Package: php-zeta-console-tools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

execute_after_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parent vendor ezc
	ln -s ../src ezc/ConsoleTools
	cp debian/autoload.php vendor

override_dh_auto_test:
	phpunit --exclude-group interactive

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: @, patch, php-zeta-unit-test, phpunit

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/ \
https://github.com/zetacomponents/ConsoleTools/releases \
.*/archive/v?(\d.+)\.tar.gz

## php-zeta-console-tools 1.7.3

=== debian/changelog ===
php-zeta-console-tools (1.7.3-1) unstable; urgency=medium

  [ Derick Rethans ]
  * Update PHPUnit requirement to PHPUnit 8.
  * PHP 8.1 fixes
  * Go with 17.3

  [ David Prévot ]
  * Simplify gbp import-orig
  * Fix d/watch to match updated GitHub URL
  * Install dh-sequence-* instead of using dh --with
  * Generate phpabtpl at build time
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Thu, 20 Jan 2022 10:04:54 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
                php-zeta-base,
                php-zeta-unit-test,
                phpab,
-               phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.1
+               phpunit
+Standards-Version: 4.6.0
 Homepage: http://zetacomponents.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zeta-console-tools

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with phpcomposer
+	dh $@
 
 execute_after_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: patch, php-zeta-unit-test, phpunit, @

## php-zeta-console-tools 1.7.4

=== debian/changelog ===
php-zeta-console-tools (1.7.4-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 18:11:33 +0100

php-zeta-console-tools (1.7.4-1) unstable; urgency=medium

  [ Derick Rethans ]
  * PHP 8.2: Do not rely on dynamic properties in tests
  * Go with 1.7.4

  [ Remi Collet ]
  * Drop unused arg, fix Increment on type bool (Closes: #1061514)

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Rename autoloaders override
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 05 Feb 2024 01:10:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
                php-zeta-unit-test,
                phpab,
                phpunit
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://zetacomponents.org/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zeta-console-tools
 Rules-Requires-Root: no
 
 Package: php-zeta-console-tools
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 	dh $@
 
 execute_after_dh_auto_build:
-	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/ \
https://github.com/zetacomponents/ConsoleTools/tags \
.*/v?(\d.+)\.tar.gz

## php-zeta-console-tools 1.7.5

=== debian/changelog ===
php-zeta-console-tools (1.7.5-2) unstable; urgency=medium

  * Revert "Force system dependencies loading"
  * Build autoload for tests
  * Modernize PHPUnit syntax
  * Drop now useless debian/pkg-php-tools-* files

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 13:41:17 +0100

php-zeta-console-tools (1.7.5-1) unstable; urgency=medium

  [ Derick Rethans ]
  * PHP 8.4 compatibility
  * Go with 1.7.5

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2024 17:16:26 +0100

php-zeta-console-tools (1.7.4-3) unstable; urgency=medium

  * PHPUnit 11 compliance (Closes: #1070616)
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 14:05:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                php-zeta-unit-test,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://zetacomponents.org/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-zeta-console-tools.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zeta-console-tools
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

execute_after_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parent vendor
	phpabtpl \
		--require-file ../src/autoload.php \
		--require zetacomponents/unit-test \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit --exclude-group interactive

=== debian/tests/control ===
Tests: phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: patch, php-zeta-unit-test, phpab, phpunit, pkg-php-tools, @
